Xeonr Developer Docs
API SpecificationFunctions

List connections

POST
/xeonr.functions.v1.FunctionService/ListConnections

Lists a team's provider authorisations.

Authorization

BearerAuth
AuthorizationBearer <token>

A team API token, created by a team owner and presented as Authorization: Bearer fnt_…. The secret is shown once at creation and stored only as a hash.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

ownerTeam?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://functions.xeonr.io/xeonr.functions.v1.FunctionService/ListConnections" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "connections": [
    {
      "connectionId": "string",
      "ownerTeam": "string",
      "provider": "GIT_PROVIDER_UNSPECIFIED",
      "authMode": "AUTH_MODE_UNSPECIFIED",
      "account": "string",
      "installationId": 0,
      "expiresAtUnix": 0,
      "functions": 0,
      "createdAtUnix": 0
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}